<h3>SwiftShop-Inventory</h3>
<hr>
<h4> Search The Inventory</h4>
<div>
<p *ngIf='searchErrorText' ><mark><b>{{searchErrorText}}</b></mark></p>
<select [(ngModel)]="selection">
    <option selected value="Type">ByType</option>
    <option value="Code">ByCode</option>
</select>

Enter {{selection}} <input type="text" [(ngModel)]="searchtext"/>
<button (click)="search()"  class='button'>{{searchText}}</button>

<div *ngIf='searchresponse && searchresponse.length'>
    <table border="outset">
        <tr>
            <th>Edit</th>
            <th>Code</th>
            <th>Name</th>
            <th>Type</th>
            <th>Quantity</th>
            <th>Cost Price</th>
            <th>Sell Price</th>
            <th>Expiration Date</th>
        <tr>
        <tr *ngFor='let items of searchresponse'>
            <td><input type='radio' (click)='fillEditItem(items)' name='edit'></td>
            <td>{{items.itemcode}}</td>
            <td>{{items.itemName}}</td>
            <td>{{items.itemType}}</td>
            <td>{{items.stockLevel}}</td>
            <td>{{items.itemPrice}}</td>
            <td>{{items.itemSellPrice}}</td>
            <td>{{items.useByDate}}</td>
        </tr>
    </table>
</div>

<div *ngIf='toggleEdit' class='rightdiv' >

        <p *ngIf='editresponse' ><mark><b>{{editresponse}}</b></mark></p>
        <table style="text-align: left;">
        <tr><th>ItemCode           :</th><td><input type='text' [(ngModel)]='changeInventory.itemcode' disabled/>      </td></tr>
        <tr><th>Itemname           :</th><td><input type='text' [(ngModel)]='changeInventory.itemName' required/>      </td></tr>
        <tr><th>itemType               :</th><td><input type='text' [(ngModel)]='changeInventory.itemType' required/>      </td></tr>
        <tr><th>Intial Stock Level     :</th><td><input type='text' [(ngModel)]='changeInventory.stockLevel' />    </td></tr>
        <tr><th>Cost Price             :</th><td><input type='text' [(ngModel)]='changeInventory.itemPrice' />     </td></tr>
        <tr><th>Selling Price          :</th><td><input type='text' [(ngModel)]='changeInventory.itemSellPrice' /> </td></tr>
        <tr><th>UseBy Date             :</th><td><input type='text' [(ngModel)]='changeInventory.useByDate' />     </td></tr>
        </table>
        <button (click)='edititem()' class='button'>Post Changes</button>
        </div>


</div>
<hr>
<h4 (click)='toggleAdditem()' style='cursor: pointer'><u>{{createButtonText}}</u></h4>
<p *ngIf='addresponse' ><mark><b>{{addresponse}}</b></mark></p>
<div *ngIf='togglecreate'>

<table style="text-align: left;">
<tr><th>ItemCode           :</th><td><input type='text' [(ngModel)]='addInventory.itemcode' required/>      </td></tr>
<tr><th>Itemname           :</th><td><input type='text' [(ngModel)]='addInventory.itemName' required/>      </td></tr>
<tr><th>itemType               :</th><td><input type='text' [(ngModel)]='addInventory.itemType' required/>      </td></tr>
<tr><th>Intial Stock Level     :</th><td><input type='text' [(ngModel)]='addInventory.stockLevel' />    </td></tr>
<tr><th>Cost Price             :</th><td><input type='text' [(ngModel)]='addInventory.itemPrice' />     </td></tr>
<tr><th>Selling Price          :</th><td><input type='text' [(ngModel)]='addInventory.itemSellPrice' /> </td></tr>
<tr><th>UseBy Date             :</th><td><input type='text' [(ngModel)]='addInventory.useByDate' />     </td></tr>
</table>
<button (click)='additem()' class='button'>Add the Item</button>
</div>
<hr>